MONGOC_CLIENT_ENCRYPTION_ENCRYPT_OPTS_SET_QUERY_TYPE(3)

NAME
mongoc_client_encryption_encrypt_opts_set_query_type - mongoc_client_encryption_encrypt_opts_set_query_type()

SYNOPSIS

#define MONGOC_ENCRYPT_QUERY_TYPE_EQUALITY "equality"
#define MONGOC_ENCRYPT_QUERY_TYPE_RANGEPREVIEW "rangePreview"
MONGOC_EXPORT (void)
 mongoc_client_encryption_encrypt_opts_set_query_type (
     mongoc_client_encryption_encrypt_opts_t *opts, const char* query_type);

New in version 1.22.0.

Sets a query type for explicit encryption. Currently, the supported values for query_type are "equality" and "rangePreview". NOTE that the Range algorithm is experimental only and not intended for public use. It is subject to breaking changes.

Only applies when the algorithm set by mongoc_client_encryption_encrypt_opts_set_algorithm() is "Indexed" or "RangePreview". It is an error to set the query type when algorithm is not "Indexed" or "RangePreview".

PARAMETERS

•   opts: A mongoc_client_encryption_encrypt_opts_t

•   query_type: A query type to use for explicit encryption.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc